#include <MFRC522.h>
#include <SPI.h>
#define SS_PIN 10
#define RST_PIN 9
MFRC522 mfrc522(SS_PIN, RST_PIN);

void setup() {
  Serial.begin(9600);
  SPI.begin();
  mfrc522.PCD_Init();
}

void loop() {
  if (!mfrc522.PICC_IsNewCardPresent()) {
    return;
  }
  if (!mfrc522.PICC_ReadCardSerial()) {
    return;
  }

  int code = 0;  // Diese Variable speichert die UID als zusammenhängende Zahl
                 // ab.
  for (byte i = 0; i < mfrc522.uid.size; i++) {
    code = (code + mfrc522.uid.uidByte[i]);  // Addition der vier Zahlenblöcke.
  }
  Serial.print("Die Kartennummer lautet:");  // Ausgabe des Zahlencodes.
  Serial.println(code);

  // Wenn der Zahlencode 396 lautet...
  if (code == 396) {
    digitalWrite(2, HIGH);  // ...dann soll die LED an Pin 2 leuchten...
    delay(500);             // für eine halbe Sekunde
    digitalWrite(2, LOW);   // ...und danach wieder aus gehen.
  }
}