#include <MFRC522.h>               // RFID-Bibiothek hinzufügen.
#include <SPI.h>                   // SPI-Bibiothek hinzufügen.
#define SS_PIN 10                  // SDA an Pin 10.
#define RST_PIN 9                  // RST an Pin 9.
MFRC522 mfrc522(SS_PIN, RST_PIN);  // RFID-Empfänger benennen.

void setup() {
  Serial.begin(9600);  // Seriellen Monitor starten.
  SPI.begin();         // SPI-Verbindung aufbauen.
  mfrc522.PCD_Init();  // Initialisierung des RFID-Empfängers.
}

void loop() {
  if (!mfrc522.PICC_IsNewCardPresent()) {  // Wenn kein TAG in Reichweite ist...
    return;  // ...springt das Programm zurück an den Anfang ( zu void loop() )
  }

  if (!mfrc522.PICC_ReadCardSerial()) {  // Wenn kein TAG ausgewählt wurde...
    return;  // ...springt das Programm zurück an den Anfang ( zu void loop() )
  }

  Serial.print("Die ID des RFID-TAGS lautet:");  // Der Text in
                                                 // Anführungsstrichen wird in
                                                 // den Serial Monitor
                                                 // geschrieben.

  for (byte i = 0; i < mfrc522.uid.size; i++) {
    // Dann wird die UID ausgelesen, die aus vier einzelnen Blöcken besteht und
    // der Reihe nach an den Serial Monitor gesendet. Die Endung DEC bedeutet,
    // dass die vier Blöcke der UID als Dezimalzahlen ausgegeben werden, da sie
    // ursprünglich als Hexadezimal Zahl vorliegt. (z.B. F3 F8 A6 0)
    Serial.print(mfrc522.uid.uidByte[i], DEC);
    Serial.print(" ");  // Fügt zwischen die einzelnen Blöcke ein Leerzeichen
                        // ein.
  }
}
